summaryrefslogtreecommitdiff
path: root/.config/vis/plugins/vis-lspc/tools/check-format
diff options
context:
space:
mode:
authorseraphim <18ycm9tx@anonaddy.me>2026-08-27 11:50:43 +0700
committerseraphim <18ycm9tx@anonaddy.me>2026-08-27 11:50:43 +0700
commit6fc7f49449cb237e1aa37eb1025461fe3ea39589 (patch)
treeceebc8a65556830627a4546da57e30e72945175e /.config/vis/plugins/vis-lspc/tools/check-format
parentcc7b61a1496d25a100f012300c1121835a9f8177 (diff)
.
Diffstat (limited to '.config/vis/plugins/vis-lspc/tools/check-format')
-rwxr-xr-x.config/vis/plugins/vis-lspc/tools/check-format8
1 files changed, 8 insertions, 0 deletions
diff --git a/.config/vis/plugins/vis-lspc/tools/check-format b/.config/vis/plugins/vis-lspc/tools/check-format
new file mode 100755
index 0000000..392d023
--- /dev/null
+++ b/.config/vis/plugins/vis-lspc/tools/check-format
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+LUA_FILE=$1
+lua-format "${LUA_FILE}" > "${LUA_FILE}.fmt"
+diff "${LUA_FILE}" "${LUA_FILE}.fmt"
+RET=$?
+rm "${LUA_FILE}.fmt"
+exit ${RET}